Module java.management
Package javax.management

## Class NotCompliantMBeanException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.OperationsException
        - - javax.management.NotCompliantMBeanException

All Implemented Interfaces:
  `Serializable`

    public class NotCompliantMBeanException
    extends OperationsException

Exception which occurs when trying to register an object in the MBean server that is not a JMX compliant MBean.

Since:
  1.5
See Also:
  Serialized Form

### Constructor Summary

Constructors
`NotCompliantMBeanException()` Default constructor.
`NotCompliantMBeanException​(String message)` Constructor that allows a specific error message to be specified.

### Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NotCompliantMBeanException

    public NotCompliantMBeanException()

Default constructor.

#### NotCompliantMBeanException

    public NotCompliantMBeanException​(String message)

Constructor that allows a specific error message to be specified.

Parameters:
  `message` - the detail message.